Bug 73419 - Nedit complains about "FONTLIST" under KDE3
Nedit complains about "FONTLIST" under KDE3
Product: Red Hat Linux
Classification: Retired
Component: openmotif (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-09-04 11:08 EDT by Dave Shield
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-08 12:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Shield 2002-09-04 11:08:44 EDT
Description of Problem:
When running with KDE3, every time you start 'nedit' it issues
a warning message:
   "Cannot convert string "FONTLIST" to type FontStruct"

Version-Release number of selected component (if applicable): 5.2-2

How Reproducible: Consistently

Steps to Reproduce:
1. Log in using KDE3
2. run "nedit" from a terminal window

Actual Results:
The message "Cannot convert string "FONTLIST" to type FontStruct"
is displayed, and then the nedit window appears.

Expected Results:
The nedit window should appear with no warning message.
Comment 1 Tim Waugh 2002-10-07 09:14:24 EDT
Does this still happen with Red Hat Linux 8.0?
Comment 2 Need Real Name 2003-09-14 10:17:57 EDT
We believe this to be a bug in KDE.  See:


NEdit 5.4 will have a workaround where it will silently ignore this situation.  See:
Comment 3 Roger Nunn 2004-01-22 13:36:46 EST
 launching nedit over ssh.
ssh from a Red Hat Linux 9 system to a Red Hat Enterprise Linux AS 3
system and run nedit.
The following error messages are logged in the background nedit fails
to function correctly (there is no way to select a file without the
extra font errors occuring regardless of font selection in the
preferences/default settings tab:

$ nedit
Cannot convert string "fixed" to type FontStruct

 Name: Text
    Class: XmTextField
    Character '\162' not supported in font.  Discarded.
    Name: Text
    Class: XmTextField
    Character '\143' not supported in font.  Discarded.

After further investigation:
error message is given in line 4226/4233 approx of nedit source:
This points to the Motif XMText widget library
called in the beginning of the code as:
is this a result of incompatible motif variants?
or simply a missing fixed font alias or font.
version info:
rh9 openmotif-2.2.2-14
RHEL AS 3 openmotif21-2.1.30-8 and openmotif-2.2.2-16

an ssh connection from the same RHL 9 to an RHEL AS2.1 machine and
then running nedit version nedit-5.1.1-10
with openmotif versions:
RHL 9 openmotif-2.2.2-14
RHEL AS2.1 openmotif version openmotif-2.1.30-11
shows no font errors and works fine.

also selecting the same 'known good' font that this nedit session is
using for the previous rhl to rhel3 connection using the command:
nedit -font '-adobe-courier-medium-r-normal--12-*-*-*' 
does not prevent the font errors.

Kind regards
Roger Nunn
Comment 4 Roger Nunn 2004-01-22 13:38:43 EST
I should also add that this was all done in a gnome desktop environment.
Comment 5 Need Real Name 2004-01-22 19:16:45 EST
I don't think comment 3 is the same bug.  This bug is the literal word
FONTLIST is being insterted into the resource database.  This other
bug seems to be a problem with the default font.

Note that OpenMotif 2.2 is alpha-quality software, and the NEdit
developers do not support it at this time.  It has way too many fatal
bugs that we have not been able to work around.  We suggest linking
with OpenMotif 2.1.30 and no later.
Comment 6 Thomas Woerner 2004-06-08 12:14:02 EDT
Fixed in rawhide in rpm openmotif-2.2.3-3 or newer.

Note You need to log in before you can comment on or make changes to this bug.